local utils = {}

-- Type coersion for lsp
---@generic T
---@param object any
---@return T
function utils.Cast(object)
    return object
end


--- @type Monitor
local MONITOR = utils.Cast(peripheral.find("monitor"))
local MONITOR_Y = 1
function utils.MonPrint(text)
    MONITOR.setCursorPos(1,MONITOR_Y)
    MONITOR.write(text)
    MONITOR_Y = MONITOR_Y + 1
end

function utils.MonReset(scale)
    MONITOR.clear()
    MONITOR.setTextScale(scale)
end

return utils;
